> ## Documentation Index
> Fetch the complete documentation index at: https://studio-docs.prem.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Auto Labeling

> Start the labeling process for the given dataset using the associated labels.



## OpenAPI

````yaml POST /api/v1/public/datasets/{datasetId}/start-auto-labeling
openapi: 3.1.0
info:
  version: 0.0.1
  title: Prem Studio API
  description: Studio autofinetuning agent API
servers:
  - url: http://studio.premai.io
    description: Current environment
  - url: https://studio.premai.io
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/public/datasets/{datasetId}/start-auto-labeling:
    post:
      tags:
        - Public Datasets
      description: Start auto-labeling process for a dataset
      operationId: datasets.startAutoLabeling
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: datasetId
          in: path
      responses:
        '200':
          description: Auto-labeling started successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartAutoLabelingResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Dataset not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Dataset is currently processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    StartAutoLabelingResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````